import request from '@/utils/request'

// 查询教练评价列表
export function listEvaluate(query) {
  return request({
    url: '/coach/evaluate/list',
    method: 'get',
    params: query
  })
}

// 查询教练评价详细
export function getEvaluate(id) {
  return request({
    url: '/coach/evaluate/' + id,
    method: 'get'
  })
}

// 新增教练评价
export function addEvaluate(data) {
  return request({
    url: '/coach/evaluate',
    method: 'post',
    data: data
  })
}

// 修改教练评价
export function updateEvaluate(data) {
  return request({
    url: '/coach/evaluate',
    method: 'put',
    data: data
  })
}

// 删除教练评价
export function delEvaluate(id) {
  return request({
    url: '/coach/evaluate/' + id,
    method: 'delete'
  })
}

// 导出教练评价
export function exportEvaluate(query) {
  return request({
    url: '/coach/evaluate/export',
    method: 'get',
    params: query
  })
}